Ancistrocactus brevihamatus SB137 �JLcoll.412.jpg=Ancistrocactus brevihamatus SB137 �JLcoll\
<b><center>�PUIS� - OUT of STOCK - AGOTADO</center></b>
Ancistrocactus scheeri JLcoll.416.jpg=Ancistrocactus scheeri FA ex Piltz1957
